Foreman - Bug #13497

InvalidLogin: Cannot complete login due to an incorrect user" when trying to provision a new host
02/01/2016 08:47 AM - Amit Yitzhaki

Status: Closed
Priority: Normal
Assignee: Tomer Brisker
Category: Compute resources
Target version: 1.18.0
Difficulty: medium Fixed in Releases:
Triaged: Found in Releases: 1.8.2
Bugzilla link: 1389810 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/5163
Description

We are having for some time this problem and it is not even consistent. We can work for few days without any issue and all of the
sudden, "InvalidLogin: Cannot complete login due to an incorrect user" when trying to provision a new host.
Logging into vsphere manually works fine.

this is the error message

016-01-31 05:06:18 [I] Rendered text template (0.0ms)

2016-01-31 05:06:18 [I] Completed 200 OK in 170ms (Views: 0.6ms | ActiveRecord: 14.7ms)

2016-01-31 05:06:18 [W] Failed to destroy a compute tivvc01 (VMware) instance testvm : InvalidLogin: Cannot complete login due to
an incorrect user name or password./opt/rh/ruby193/root/usr/share/gems/gems/fog-1.29.0/lib/fog/vsphere/compute.rb:443:in “rescue
in authenticate’

/opt/rh/ruby193/root/usr/share/gems/gems/fog-1.29.0/lib/fog/vsphere/compute.rb:439:in “authenticate’

1. Did any of you encounter this in foreman?
2. Does foreman connect to the LDAP or locally for VMWARE?

Thanks,

Amit

Related issues:

Related to Foreman - Bug #24545: Compute resource test connection enables pas... Closed

Has duplicate Foreman - Bug #17218: Compute Resource password field reverts t... Duplicate 11/04/2016

Associated revisions

Revision 10b2c0f6 - 01/15/2018 12:03 PM - Tomer Brisker
Fixes #13497 - Enable password field after test connection in CR (#5163)

When clicking test connection button (or load datacenters) on an
existing compute resource, the password field is disabled. If the
password was changed prior to testing the connection and then the form
is saved, this will cause the new password to not be transmitted to the
server, leading to the previous password remaining in the database.

History

#1 - 02/01/2016 10:50 AM - Dominic Cleal

- Category changed from VM management to Compute resources - VMware
- Assignee deleted (Shlomi Zadok)

- Priority changed from High to Normal

Foreman only connects to vSphere for authentication, sounds like the error is raised from it, not Foreman.

#2 - 02/18/2016 08:55 AM - Shlomi Zadok
Weirdly, this is happening on the following sequence for me:

e Edit vmware compute resource, Change the username and / or password.
e Click on "Load datacenters"
e Save

On save, the new credentials (password specifically) are not sent.
Workaround (until fixed):

o Edit

¢ Set new username / password.

¢ Do not click on "load datacenters"

e Save

new credentials are saved.

#3 - 11/09/2016 02:56 AM - Ondfej Prazak
- Bugzilla link set to 1389810

#4 - 11/09/2016 02:57 AM - Ondfej Prazak

- Has duplicate Bug #17218: Compute Resource password field reverts to "old" password after pressing Test Connection added

#5 - 09/13/2017 08:05 AM - Marek Hulan

- Status changed from New to Resolved

| can no longer reproduce on 1.17 develop branch. Please reopen if you still encounter the issue.

#6 - 01/10/2018 12:39 PM - Tomer Brisker
- Category changed from Compute resources - VMware to Compute resources
- Status changed from Resolved to Assigned

- Assignee set to Tomer Brisker

This is still an issue in all compute resources that have a password field. When pressing test connection, the password field becomes disabled,
leading to previous password being preserved in the database.

#7 - 01/10/2018 12:55 PM - The Foreman Bot
- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/5163 added

#8 - 01/15/2018 01:01 PM - Anonymous
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 10b2c0f684c¢309¢181190c7a752529bda4359876.

#9 - 01/15/2018 01:16 PM - Tomer Brisker

- translation missing: en.field_release set to 330

#10 - 08/06/2018 02:11 PM - Marek Hulan

- Related to Bug #24545: Compute resource test connection enables password field added
